Package org.silverpeas.components.kmelia.model

## Class KmeliaPublicationSort

- java.lang.Object
- - org.silverpeas.components.kmelia.model.KmeliaPublicationSort

- All Implemented Interfaces:
    `Serializable`

      public class KmeliaPublicationSort
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `KmeliaPublicationSort.SortConsumer<T>` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `SORT_CREATION_ASC` |
    `static int` | `SORT_CREATION_DESC` |
    `static int` | `SORT_CREATOR_ASC` |
    `static int` | `SORT_DESCRIPTION_ASC` |
    `static int` | `SORT_IMPORTANCE_ASC` |
    `static int` | `SORT_MANUAL` |
    `static int` | `SORT_TITLE_ASC` |
    `static int` | `SORT_UPDATE_ASC` |
    `static int` | `SORT_UPDATE_DESC` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaPublicationSort​(int initialSort)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCurrentSort()` |
    `boolean` | `isExplicitSort()` |
    `boolean` | `isManualSortEnable()` |
    `void` | `setCurrentSort​(int currentSort)` |
    `void` | `setExplicitSort​(boolean explicitSort)` |
    `void` | `setManualSortEnable​(boolean manualSortEnable)` |
    `KmeliaPublicationSort.SortConsumer<List<KmeliaPublication>>` | `withContentLanguage​(String language)` | Gets the publication consumer according to given content language.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SORT_CREATOR_ASC

          public static final int SORT_CREATOR_ASC

      See Also:
        Constant Field Values

    - #### SORT_UPDATE_ASC

          public static final int SORT_UPDATE_ASC

      See Also:
        Constant Field Values

    - #### SORT_UPDATE_DESC

          public static final int SORT_UPDATE_DESC

      See Also:
        Constant Field Values

    - #### SORT_IMPORTANCE_ASC

          public static final int SORT_IMPORTANCE_ASC

      See Also:
        Constant Field Values

    - #### SORT_TITLE_ASC

          public static final int SORT_TITLE_ASC

      See Also:
        Constant Field Values

    - #### SORT_CREATION_ASC

          public static final int SORT_CREATION_ASC

      See Also:
        Constant Field Values

    - #### SORT_CREATION_DESC

          public static final int SORT_CREATION_DESC

      See Also:
        Constant Field Values

    - #### SORT_DESCRIPTION_ASC

          public static final int SORT_DESCRIPTION_ASC

      See Also:
        Constant Field Values

    - #### SORT_MANUAL

          public static final int SORT_MANUAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KmeliaPublicationSort

          public KmeliaPublicationSort​(int initialSort)

  - ### Method Detail

    - #### getCurrentSort

          public int getCurrentSort()

    - #### setCurrentSort

          public void setCurrentSort​(int currentSort)

    - #### isExplicitSort

          public boolean isExplicitSort()

    - #### setExplicitSort

          public void setExplicitSort​(boolean explicitSort)

    - #### isManualSortEnable

          public boolean isManualSortEnable()

    - #### setManualSortEnable

          public void setManualSortEnable​(boolean manualSortEnable)

    - #### withContentLanguage

          public KmeliaPublicationSort.SortConsumer<List<KmeliaPublication>> withContentLanguage​(String language)

      Gets the publication consumer according to given content language.
      Parameters:
        `language` - a content language (and not the user favorite one).
      Returns:
        SortConsumer lambda to apply on `KmeliaPublication` list.